Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC > Class Template Reference

Bounds consistent positive division propagator. More...

`#include <arithmetic.hh>`

## Public Member Functions

| DivPlusBnd (Home home, VA x0, VB x1, VC x2)
| Constructor for posting.
| DivPlusBnd (Space &home, DivPlusBnd< VA, VB, VC > &p)
| Constructor for cloning p.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixTernaryPropagator< VA, PC_INT_BND, VB, PC_INT_BND, VC, PC_INT_BND >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low ternary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, VA x0, VB x1, VC x2)
| Post propagator (rounding towards 0).
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::MixTernaryPropagator< VA, PC_INT_BND, VB, PC_INT_BND, VC, PC_INT_BND >
| MixTernaryPropagator (Space &home, MixTernaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.
Protected Attributes inherited from Gecode::MixTernaryPropagator< VA, PC_INT_BND, VB, PC_INT_BND, VC, PC_INT_BND >
VA | x0
| View of type View0.
VB | x1
| View of type View1.
VC | x2
| View of type View2.

## Detailed Description

template<class VA, class VB, class VC>
class Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >

Bounds consistent positive division propagator.

This propagator provides division for positive views only.

Definition at line 777 of file arithmetic.hh.

## Constructor & Destructor Documentation

## DivPlusBnd() [1/2]

template<class VA, class VB, class VC>

Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >::DivPlusBnd | ( | Home | home,
|  | VA | x0,
|  | VB | x1,
|  | VC | x2 )

inline

Constructor for posting.

Definition at line 45 of file divmod.hpp.

## DivPlusBnd() [2/2]

template<class VA, class VB, class VC>

Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >::DivPlusBnd | ( | Space & | home,
|  | DivPlusBnd< VA, VB, VC > & | p )

inline

Constructor for cloning p.

Definition at line 51 of file divmod.hpp.

## Member Function Documentation

## post()

template<class VA, class VB, class VC>

ExecStatus Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >::post | ( | Home | home,
|  | VA | x0,
|  | VB | x1,
|  | VC | x2 )

inline static

Post propagator (rounding towards 0).

Definition at line 87 of file divmod.hpp.

## copy()

template<class VA, class VB, class VC>

Actor * Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 57 of file divmod.hpp.

## propagate()

template<class VA, class VB, class VC>

ExecStatus Gecode::Int::Arithmetic::DivPlusBnd< VA, VB, VC >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 63 of file divmod.hpp.

The documentation for this class was generated from the following files:

- gecode/int/arithmetic.hh
- gecode/int/arithmetic/divmod.hpp